Part FormAusNetz

From FreeCAD Documentation
Revision as of 20:19, 8 September 2021 by Le Loup (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Vorherige: Part BoxSelection.svg Part KastenAuswahl
Nächste: PunkteAusNetz Part PointsFromMesh.svg Arrow-right.svg

Part ShapeFromMesh.svg Part FormAusNetz

Menüeintrag
Part → Erzeuge Form aus Netz...
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part UmwandelnInFestkörper, Part FormVerfeinern, Part PunkteAusNetz

Einführung

Der Part ShapeFromMesh.svg Part FormAusNetz Befehl erzeugt eine Form aus einem Netzobjekt. Netzobjekte haben in FreeCAD nur begrenzte Bearbeitungsmöglichkeiten, ihre Konvertierung in Formen ermöglicht ihre Verwendung mit vielen weiteren Booleschen und Modifikationswerkzeugen.

Die Umkehroperation ist Mesh FromPartShape.svg Netz AusTeilForm aus dem Workbench Mesh.svg Netz Arbeitsbereich.

Anwendung

  1. Wähle das Netzobjekt in der Baumansicht aus.
  2. Gehe zum Menü, Part → Part ShapeFromMesh.svg Erzeuge Form aus Netz.
  3. Ein Aufklappmenü fragt nach der Toleranz für das Nähen der Form; der Standardwert ist 0.1.
  4. Eine Form aus dem Netzobjekt wird als separates neues Objekt erstellt.

Die Analyse und Reparatur des Netzes sollte, falls erforderlich, vor dem Start manuell durchgeführt werden Part ShapeFromMesh.svg FormAusNetz. Geeignete Werkzeuge für diese Aufgabe sind im Workbench Mesh.svg Netz Arbeitsbereich verfügbar.

Nach der Erstellung einer Form, kann es nützlich sein, Umwandeln in Festkörper (erforderlich für boolesche Operationen) und Part RefineShape.svg Form verfeinern.

Verweise

Skripten

Das Erstellen einer Form aus einem Netz kann mit der Methode makeShapeFromMesh aus einem Part TopoForm erfolgen; Du musst das Quellnetz und die Toleranz angeben und das Ergebnis einem neuen Part Formelement Objekt zuweisen.

Beachte, dass das Netz neu berechnet werden muss, bevor es in eine Form umgewandelt wird, da es sonst keine Topologieinformationen gibt und die Umwandlung nicht erfolgreich ist.

import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()

solid = doc.addObject("Part::Feature", "Shape")
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)

solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()


Arrow-left.svg Vorherige: Part BoxSelection.svg Part KastenAuswahl
Nächste: PunkteAusNetz Part PointsFromMesh.svg Arrow-right.svg